%define upstream_name  	    Path-Class
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Cross-platform path specification manipulation
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Path/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.260.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(IO::Dir)
BuildRequires: perl(IO::File)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Perl::OSType)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Path::Class is a module for manipulation of file and directory specifications
(strings describing their locations, like '/home/ken/foo.txt' or
'C:\Windows\Foo.txt') in a cross-platform manner. It supports pretty much every
platform Perl runs on, including Unix, Windows, Mac, VMS, Epoc, Cygwin, OS/2,
and NetWare.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Path/*
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.370.0-5.mga10
+ Revision: 2204253
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.370.0-4.mga9
+ Revision: 1810028
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.370.0-3.mga8
+ Revision: 1505915
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.370.0-2.mga7
+ Revision: 1285574
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.370.0-1.mga7
+ Revision: 1128899
- update to 0.37

* Sun Jun 19 2016 pterjan <pterjan> 0.360.0-2.mga6
+ Revision: 1031821
- Rebuild for perl 5.22.2

* Thu Feb 25 2016 shlomif <shlomif> 0.360.0-1.mga6
+ Revision: 978833
- update to 0.36

* Fri Feb 19 2016 umeabot <umeabot> 0.350.0-2.mga6
+ Revision: 968529
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 0.350.0-1.mga6
+ Revision: 852885
- update to 0.35

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-3.mga5
+ Revision: 745444
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.330.0-2.mga5
+ Revision: 685908
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.330.0-1.mga5
+ Revision: 588552
- update to 0.33

* Sat Oct 19 2013 umeabot <umeabot> 0.320.0-2.mga4
+ Revision: 525995
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.320.0-1.mga4
+ Revision: 435068
- update to 0.32

* Sun Jan 13 2013 umeabot <umeabot> 0.290.0-2.mga3
+ Revision: 371581
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.290.0-1.mga3
+ Revision: 342473
- update to 0.29

* Thu Jul 05 2012 jquelin <jquelin> 0.260.0-1.mga3
+ Revision: 268038
- update to 0.26

* Tue Mar 06 2012 jquelin <jquelin> 0.250.0-1.mga2
+ Revision: 219901
- update to 0.25
- update to 0.25

* Wed Jun 15 2011 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 107292
- update to 0.24

* Tue Feb 08 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 49005
- update to 0.23

* Thu Jan 20 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 26835
- mageia rebuild
- imported package perl-Path-Class


* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-1mdv2011.0
+ Revision: 572224
- update to 0.21

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.190.0-1mdv2011.0
+ Revision: 552535
- update to 0.19

* Mon Dec 21 2009 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2010.1
+ Revision: 480734
- update to 0.18

* Mon Nov 23 2009 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.1
+ Revision: 469242
- rebuild

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.170.0-1mdv2010.0
+ Revision: 389936
- new version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.16-3mdv2009.0
+ Revision: 241813
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.16-1mdv2008.0
+ Revision: 25189
- 0.16


* Fri Dec 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- 0.15

* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.13-1mdk
- 0.13

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-1mdk
- 0.12

* Wed Jun 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.11-1mdk
- 0.11

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-1mdk
- First Mandriva release

